Ask Your Question
0

Fail to install industrial_calibration

asked 2017-01-26 10:56:07 -0500

Beaucay gravatar image

Hi everyone

I'm trying to install industrial calibration and I therefore cloned the git repository into my catkin_ws and tried catkin_make.

I then got the following error:

CMake Warning at /opt/ros/indigo/share/catkin/cmake/catkinConfig.cmake:76 (find_package):
  Could not find a package configuration file provided by "openni2_camera"
  with any of the following names:

    openni2_cameraConfig.cmake
    openni2_camera-config.cmake

  Add the installation prefix of "openni2_camera" to CMAKE_PREFIX_PATH or set
  "openni2_camera_DIR" to a directory containing one of the above files.  If
  "openni2_camera" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  industrial_calibration/rgbd_depth_correction/CMakeLists.txt:4 (find_package)


-- Could not find the required component 'openni2_camera'. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
CMake Error at /opt/ros/indigo/share/catkin/cmake/catkinConfig.cmake:83 (find_package):
  Could not find a package configuration file provided by "openni2_camera"
  with any of the following names:

    openni2_cameraConfig.cmake
    openni2_camera-config.cmake

  Add the installation prefix of "openni2_camera" to CMAKE_PREFIX_PATH or set
  "openni2_camera_DIR" to a directory containing one of the above files.  If
  "openni2_camera" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  industrial_calibration/rgbd_depth_correction/CMakeLists.txt:4 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/user/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/user/catkin_ws/build/CMakeFiles/CMakeError.log".
Invoking "cmake" failed

so I tried to install openni2:

user@hyperchicken:~/catkin_ws/src$ sudo apt-get install ros-indigo-openni2-camera 
[sudo] password for user: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 ros-indigo-openni2-camera : Depends: libopenni2-0 but it is not going to be installed
                             Depends: libopenni2-dev but it is not going to be installed
 ros-indigo-ur-kinematics : Depends: ros-indigo-moveit-kinematics but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

I would be happy for any hint how to try fixing this problem.

Thank you!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-09-04 22:04:15 -0500

130s gravatar image

The following packages have unmet dependencies

This error is FAQ in lower level on Ubuntu, not ROS. I suggest you fix that by looking up one of many results from web search result (e.g. Google).

Also suggested is how you not care if the dependency is met or not; see this section in rosdep tutorial to automatically install ALL packages that the ROS packages in your workspace depend upon.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-01-26 10:56:07 -0500

Seen: 265 times

Last updated: Sep 04 '17